﻿using HelperModelBinding.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace HelperModelBinding.Controllers
{
    public class HomeController : Controller
    {
        static ModelData data = new ModelData();

        //
        // GET: /Home/

        public ActionResult Index(int id = 0)
        {
            return View(data.Customers.Where(x => x.CustomerID == id).FirstOrDefault());
        }

        [HttpPost]
        public ActionResult Update(int customerID, String name, String city, String country)
        {
            //  Update the customer's info.
            Customer updateMe = data.Customers.Where(x => x.CustomerID == customerID).FirstOrDefault();
            updateMe.Name = name;
            updateMe.City = city;
            updateMe.Country = country;

            //  Return the view with the updated info.
            return View("Index", updateMe);
        }

    }
}
