﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace HelperModelBinding.Models
{
    public class Customer
    {
        public int CustomerID { get; set; }
        public String Name { get; set; }
        public String City { get; set; }
        public String Country { get; set; }
    }

    public class ModelData
    {
        public List<Customer> Customers { get; set; }

        public ModelData()
        {
            Customers = new List<Customer>
            {
                new Customer{
                    CustomerID = 0,
                    Name = "Alice",
                    City ="New York",
                    Country = "USA"
                },
                new Customer{
                    CustomerID = 1,
                    Name = "Bob",
                    City ="Berlin",
                    Country = "Germany"
                },
                new Customer{
                    CustomerID = 2,
                    Name = "Charlie",
                    City ="London",
                    Country = "England"
                },
                new Customer{
                    CustomerID = 3,
                    Name = "David",
                    City ="Tokyo",
                    Country = "Japan"
                }
            };
        }
    }
}